#
# spec file for package iscan-plugin
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

%define iscan_package %(rpm -q --qf '%%{name}' --whatprovides iscan)
%define iscan_version %(rpm -q --qf '%%{version}' %{iscan_package})
Name:           iscan-plugin
# Use the highest iscan package version number since when a module was added
# as Suse package version and have Epson Avasys' release number at the end:
Version:        %{iscan_version}
Release:        pm153.2.3
Summary:        Iscan plugin for Image Scan for Epson Scanners
License:        AVASYSPL
Group:          Hardware/Scanner
Url:            http://download.ebz.epson.net/dsc/search/01/search/?OSC=LX
# GT-F720/GT-S620, Perfection V30/V300 Photo
Source0:        esci-interpreter-gt-f720-0.1.1-2.i386.rpm
Source1:        esci-interpreter-gt-f720-0.1.1-2.x86_64.rpm
# Epson GT-S50 and GT-S80 scanner
Source2:        esci-interpreter-gt-s80-1.0.0-1.i686.rpm
Source3:        esci-interpreter-gt-s80-1.0.0-1.x86_64.rpm
# GT-F730/GT-S630/Perfection V33/V330
Source4:        esci-interpreter-perfection-v330-1.0.0-1.i686.rpm
Source5:        esci-interpreter-perfection-v330-1.0.0-1.x86_64.rpm
# Epson GT-15000 scanner
Source6:        iscan-network-nt-1.1.2-1.i686.rpm
Source7:        iscan-network-nt-1.1.2-1.x86_64.rpm
# Epson Stylus CX4300/CX4400/CX4450/CX5500/CX5600/DX4400/DX4450 scanners
Source8:        iscan-plugin-cx4400-2.1.4-1.i686.rpm
Source9:        iscan-plugin-cx4400-2.1.4-1.x86_64.rpm
# Epson WorkForce DS-30
Source10:       iscan-plugin-ds-30-1.0.1-1.i686.rpm
Source11:       iscan-plugin-ds-30-1.0.1-1.x86_64.rpm
# Epson GT-1500 scanner
Source12:       iscan-plugin-gt-1500-2.2.1-1.i686.rpm
Source13:       iscan-plugin-gt-1500-2.2.1-1.x86_64.rpm
# Epson Perfection Photo V200 scanners and similar
Source14:       iscan-plugin-gt-f670-2.1.3-1.i686.rpm
Source15:       iscan-plugin-gt-f670-2.1.3-1.x86_64.rpm
# GT-F700 Perfection V350 Photo
Source16:       iscan-plugin-gt-f700-2.1.3-1.i686.rpm
Source17:       iscan-plugin-gt-f700-2.1.3-1.x86_64.rpm
# Epson Perfection 4180 / GT-F600
Source18:       iscan-plugin-gt-s600-2.1.3-1.i686.rpm
Source19:       iscan-plugin-gt-s600-2.1.3-1.x86_64.rpm
# Epson Perfection 4490 / GT-X750
Source20:       iscan-plugin-gt-x750-2.1.3-1.i686.rpm
Source21:       iscan-plugin-gt-x750-2.1.3-1.x86_64.rpm
# Epson Colorio GT-X770/Perfection Photo V500 scanners
Source22:       iscan-plugin-gt-x770-2.1.3-1.i686.rpm
Source23:       iscan-plugin-gt-x770-2.1.3-1.x86_64.rpm
# Epson Colorio GT-X820/Perfection Photo V600 scanners
Source24:       iscan-plugin-gt-x820-2.2.1-1.i686.rpm
Source25:       iscan-plugin-gt-x820-2.2.1-1.x86_64.rpm
# Epson Perfection V37, V370, GT-F740 and GT-S640 scanners
Source26:       iscan-plugin-perfection-v370-1.0.1-1.i686.rpm
Source27:       iscan-plugin-perfection-v370-1.0.1-1.x86_64.rpm
# EPSON Perfection V19 scanner
Source28:       iscan-plugin-gt-s650-1.1.1-1.i686.rpm
Source29:       iscan-plugin-gt-s650-1.1.1-1.x86_64.rpm
# EPSON GT-X820, Perfection V550
Source30:       iscan-plugin-perfection-v550-1.0.1-1.i686.rpm
Source31:       iscan-plugin-perfection-v550-1.0.1-1.x86_64.rpm
BuildRequires:  fdupes
BuildRequires:  iscan
BuildRequires:  iscan-data
Requires:       iscan iscan-firmware
Conflicts:      iscan-free
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
ExclusiveArch:	%ix86 x86_64

%package -n	iscan-firmware
Summary:        Firmware files for Epson scanners
Group:          Hardware/Scanner
BuildArch:      noarch

%prep
# Create a "name-version" directory and change into it but don't unpack anything:
%setup -q -c -T
# Unpack the sources (see the Suse internal script /work/src/bin/unrpm how to do it):
CPIO_OPTS="--extract --unconditional --preserve-modification-time --make-directories --verbose"
%ifarch i586
for f in %{S:0} %{S:2} %{S:4} %{S:6} %{S:8} %{S:10} %{S:12} \
%{S:14} %{S:16} %{S:18} %{S:20} %{S:22} %{S:24} %{S:26} %{S:28} %{S:30}
do case $( rpm2cpio $f | head -c 2 - ) in
        BZ) rpm2cpio $f | bunzip2 | cpio ${CPIO_OPTS} ;;
        *) rpm2cpio $f | cpio ${CPIO_OPTS} ;;
   esac
done
%endif
%ifarch x86_64
for f in %{S:1} %{S:3} %{S:5} %{S:7} %{S:9} %{S:11} %{S:13} \
%{S:15} %{S:17} %{S:19} %{S:21} %{S:23} %{S:25} %{S:27} %{S:29} %{S:31}
do case $( rpm2cpio $f | head -c 2 - ) in
        BZ) rpm2cpio $f | bunzip2 | cpio ${CPIO_OPTS} ;;
        *) rpm2cpio $f | cpio ${CPIO_OPTS} ;;
   esac
done
%endif

%build
# There is nothing to build.

%install
# Install the proprietary binary driver libraries:
install -d %{buildroot}%{_libdir}/iscan
install -d %{buildroot}%{_libdir}/esci
cp -a usr/%{_lib}/iscan/{libesint*,network} %{buildroot}%{_libdir}/iscan/
cp -a usr/%{_lib}/esci/libesci* %{buildroot}%{_libdir}/esci/
# The firmware files must be installed into this directory
# because the epkowa backend searches them in this directory:
install -d %{buildroot}%{_datadir}/iscan
install -d %{buildroot}%{_datadir}/esci
install -m 644 usr/share/iscan/esfw* %{buildroot}%{_datadir}/iscan/
install -m 644 usr/share/esci/esfw* %{buildroot}%{_datadir}/esci/
# Install the data files:
install -d %{buildroot}%{_datadir}/iscan-data
pushd usr/share/iscan-data
for d in *
do install -d %{buildroot}%{_datadir}/iscan-data/$d
   install -m 644 $d/* %{buildroot}%{_datadir}/iscan-data/$d
done
popd

%fdupes -s usr/share/doc
find %{buildroot} -name \*.so -exec rm {} \;

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc usr/share/doc/*
%{_libdir}/iscan
%{_libdir}/esci
%{_datadir}/iscan-data

%files -n iscan-firmware
%defattr(-,root,root)
%{_datadir}/iscan
%{_datadir}/esci

%description
The proprietary binary libraries are provided (in object code form only)
under the terms of the license agreement provided in the EAPL and LICENSE
files in the directory /usr/share/doc/packages/iscan-plugin

The proprietary libraries used by the driver epkowa are only needed for
the following scanners (see:
http://www.sane-project.org/lists/sane-backends-external.html):

  * libesci-interpreter-gt-f720: GT-F720/GT-S620, Perfection V30/V300 Photo
  * esci-interpreter-gt-s*: Epson GT-S50 and GT-S80 scanner
  * libesci-interpreter-perfection-v330: GT-F730/GT-S630/Perfection V33/V330
  * network: Plugin for using Epson scanners with ISCAN over network
  * libesint7E: Stylus CX4300/CX4400/CX4450/CX5500/CX5600/DX4400/DX4450
  * libiscan-plugin-ds-30: Epson WorkForce DS-30
  * libesint86: Epson GT-1500 scanner
  * libesint7A: Epson Perfection Photo V200 scanners and similar
  * libesint68: GT-F700 Perfection V350 Photo
  * libesint66: Epson Perfection 4180 / GT-F600
  * libesint54: Epson Perfection 4490 / GT-X750
  * libesint7C: Epson Colorio GT-X770/Perfection Photo V500 scanners
  * libesintA1: Epson Colorio GT-X820/Perfection Photo V600 scanners
  * libiscan-plugin-perfection-v370: Epson Perfection V37, V370, GT-F740
    and GT-S640 scanners
  * libiscan-plugin-gt-s650: Epson Perfection V19 scanner
  * libiscan-plugin-perfection-v550: EPSON GT-X820, Perfection V550

If your scanner is supported by the driver epkowa but does not need a
proprietary module, you can use a software package iscan or it may also
work with a driver which is included in the package sane-backends.

%description -n iscan-firmware
Additionally proprietary firmware files are only needed for the following
scanners:

  * esfw8b.bin: Epson GT-F720/GT-S620, Perfection V30/V300 Photo
  * esfwad.bin: Epson Perfection GT-F730/GT-S630/Perfection V33/V330
  * esfw86.bin: Epson GT-1500 scanner
  * esfw7A.bin: Epson Perfection Photo V200 scanners and similar
  * esfw68.bin: Perfection V350 PHOTO / GT-F700-
  * esfw66.bin: Perfection V10 / GT-S600, Perfection V100 PHOTO / GT-F650
  * esfw54.bin: Perfection 4490 PHOTO / GT-X750
  * esfw7C.bin: Epson Colorio GT-X770/Perfection Photo V500 scanners
  * esfwA1.bin: Epson Colorio GT-X820/Perfection Photo V600 scanners
  * esfwdd.bin: Epson Perfection V37, V370, GT-F740 and GT-S640 scanners
  * esfw010c.bin: EPSON Perfection V19 scanner
  * esfweb.bin: EPSON GT-X820, Perfection V550

%changelog
* Fri Apr 17 2020 Aliaksei Padvalski <avvissu@yandex.by>
- esci-interpreter-gt-f720: back to version 0.1.1
* Fri Nov  1 2019 Alexei Podvalsky <avvissu@yandex.by>
- Update firmwares to iscan 2.30.4
- Add support for devices: Perfection V550
* Thu Nov 23 2017 avvissu@yandex.by
- Add network plugin
* Sat Dec 17 2016 avvissu@yandex.by
- Add EPSON Perfection V19 scanner
* Wed Apr  8 2015 avvissu@yandex.ru
- Create a new spec file (iscan-plugin.spec)
- Spec file cleanup
* Fri Jan  9 2009 olh@suse.de
- use ExclusiveArch as in /SRC/arch/
* Thu Apr 10 2008 jsmeix@suse.de
- Updated to match our current iscan package version 2.10.0.1.
  There is one new proprietary driver:
  iscan-plugin-cx4400
* Thu Aug  2 2007 jsmeix@suse.de
- Updated to match our current iscan package version 2.8.0.1.
  There is one new proprietary driver:
  iscan-plugin-gt-f670
* Wed Oct 11 2006 jsmeix@suse.de
- Updated to match our current iscan package version 2.3.0.1.
  There are two new proprietary drivers:
  iscan-plugin-gt-s600 and iscan-plugin-gt-f700
* Fri Sep  1 2006 jsmeix@suse.de
- Exchanged the hard RPM requirement for iscan by a supplements
  entry for iscan so that there is no longer a mutual (cyclic)
  hard RPM dependency between iscan and iscan-proprietary-drivers.
* Mon May 29 2006 jsmeix@suse.de
- Initial version
